Hệ thống mã QR
GET https://go.hvsc.vn/api/qr-codes/
curl --request GET \
--url 'https://go.hvsc.vn/api/qr-codes/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://go.hvsc.vn/api/qr-codes/' \
--header 'Authorization: Bearer {api_key}' \
| Các tham số truyền vào | Chi tiết | Mô tả |
|---|---|---|
| search | Tùy chọn phụ Chuỗi ký tự (String) | Từ khóa nội dung chuỗi tìm kiếm dữ liệu. |
| search_by | Tùy chọn phụ Chuỗi ký tự (String) | Chỉ định trường dữ liệu cụ thể nào bạn muốn áp dụng từ khóa tìm kiếm. Các giá trị được chấp nhận là: name. |
| type | Tùy chọn phụ Chuỗi ký tự (String) | Chỉ định trường dữ liệu cụ thể nào bạn muốn áp dụng từ khóa tìm kiếm. Các giá trị được chấp nhận là: text , url , phone , sms , email , whatsapp , facetime , location , wifi , event , vcard. |
| order_by | Tùy chọn phụ Chuỗi ký tự (String) | Chỉ định trường tiêu chí dữ liệu dùng làm căn cứ sắp xếp thứ tự danh sách kết quả trả về. Các giá trị được chấp nhận là: qr_code_id , datetime , last_datetime , name , type. |
| order_type | Tùy chọn phụ Chuỗi ký tự (String) | Hình thức quy định sắp xếp danh sách kết quả hiển thị. Các giá trị được chấp nhận là: ASC cho kiểu sắp xếp tăng dần, và DESC cho kiểu sắp xếp giảm dần. |
| page | Tùy chọn phụ Số nguyên (Integer) | Số thứ tự số trang hiển thị kết quả dữ liệu mà bạn muốn lấy về. Giá trị mặc định ban đầu là 1. |
| results_per_page | Tùy chọn phụ Số nguyên (Integer) | Quy định số lượng dòng kết quả dữ liệu trả về tối đa trên mỗi trang hiển thị. Các giá trị được hệ thống chấp nhận là: 10 , 25 , 50 , 100 , 250 , 500 , 1000. Cấu hình mặc định ban đầu là 25. |
{
"data": [
{
"id": 1,
"type": "url",
"name": "Example name",
"qr_code": "https://go.hvsc.vn/uploads/qr_code/example.svg",
"qr_code_logo": null,
"qr_code_background": null,
"settings": {
"foreground_type": "color",
"foreground_color": "#000000",
"background_color": "#ffffff",
"custom_eyes_color": false,
"qr_code_logo_size": 25,
"size": 500,
"margin": 0,
"ecc": "L",
"url": "https://example.com"
...
},
"embedded_data": "https://example.com",
"last_datetime": null,
"datetime": "2026-10-16 22:42:39",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://go.hvsc.vn/api/qr-codes?page=1",
"last": "https://go.hvsc.vn/api/qr-codes?page=1",
"next": null,
"prev": null,
"self": "https://go.hvsc.vn/api/qr-codes?page=1"
}
}
GET https://go.hvsc.vn/api/qr-codes/{qr_code_id}
curl --request GET \
--url 'https://go.hvsc.vn/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://go.hvsc.vn/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "url",
"name": "Example name",
"qr_code": "https://go.hvsc.vn/uploads/qr_code/example.svg",
"qr_code_logo": null,
"qr_code_background": null,
"settings": {
"foreground_type": "color",
"foreground_color": "#000000",
"background_color": "#ffffff",
"custom_eyes_color": false,
"qr_code_logo_size": 25,
"size": 500,
"margin": 0,
"ecc": "L",
"url": "https://example.com"
...
},
"embedded_data": "https://example.com",
"last_datetime": null,
"datetime": "2026-10-16 22:42:39",
}
}
POST https://go.hvsc.vn/api/qr-codes
| Các tham số truyền vào | Chi tiết | Mô tả |
|---|---|---|
curl --request POST \
--url 'https://go.hvsc.vn/api/qr-codes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'type=text' \
--form 'text=Hello!' \
--url 'https://go.hvsc.vn/api/qr-codes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'type=text' \
--form 'text=Hello!' \
{
"data": {
"id": 1
}
}
POST https://go.hvsc.vn/api/qr-codes/{qr_code_id}
curl --request POST \
--url 'https://go.hvsc.vn/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
--url 'https://go.hvsc.vn/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
{
"data": {
"id": 1
}
}
DELETE https://go.hvsc.vn/api/qr-codes/{qr_code_id}
curl --request DELETE \
--url 'https://go.hvsc.vn/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://go.hvsc.vn/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \